Loading...
Searching...
No Matches
dolfin::XMLMesh Class Reference

I/O of XML representation of a Mesh. More...

`#include <XMLMesh.h>`

## Static Public Member Functions

static void | read (Mesh &mesh, const pugi::xml_node mesh_node)
| Read mesh from XML.
static void | write (const Mesh &mesh, pugi::xml_node mesh_node)
| Write mesh to XML.
static void | read_domain_data (LocalMeshData &mesh_data, const pugi::xml_node mesh_node)
| Read domain data in LocalMeshData.

## Detailed Description

I/O of XML representation of a Mesh.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/XMLMesh.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/XMLMesh.cpp